Name:           icc_examin
Version:        0.46
Release:        3%{?dist}
Summary:        ICC profile viewer and color visualization

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://www.behrmann.name
Source0:        http://downloads.sourceforge.net/oyranos/icc_examin-%{version}.tar.gz
Patch0:         icc_examin-0.46-default.patch
Patch1:         icc_examin-0.46-fixes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  gettext

BuildRequires:  OpenEXR-devel
BuildRequires:  elektra-devel >= 0.7.0
BuildRequires:  ftgl-devel
BuildRequires:  fltk-devel
BuildRequires:  lcms-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
BuildRequires:  libpng-devel
BuildRequires:  libxml2-devel
BuildRequires:  oyranos-devel >= 0.1.9

BuildRequires:  libXpm-devel

Requires:       oyranos
%if 0%{?fedora} > 10
Requires:       dejavu-sans-fonts
%endif



%description
ICC Examin is a small utility (unix name: iccexamin) for the
purpose of watching the internals of ICC profiles, measurement
data (CGATS), color samples (named color profiles), gamut 
visualizations (vrml), video card gamma tables.


%prep
%setup -q
%patch0 -p1 -b .default
%patch1 -p1 -b .fixes

# Fix encoding
cp -pr BUGS BUGS.not-utf8
iconv -f ISO_8859-1 -t UTF8 BUGS.not-utf8 > BUGS
touch -r BUGS.not-utf8 BUGS
rm BUGS.not-utf8

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

#Remove bundled fonts
rm -rf $RPM_BUILD_ROOT%{_datadir}/fonts/FreeSans.ttf

#Remove deprecated desktop files
rm -rf $RPM_BUILD_ROOT%{_datadir}/applications/x-cgats.desktop
rm -rf $RPM_BUILD_ROOT%{_datadir}/applications/x-icc.desktop

desktop-file-install --vendor "" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --delete-original \
  --mode 644 \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
update-mime-database %{_datadir}/mime &> /dev/null
update-desktop-database &> /dev/null  || :

%postun
update-mime-database %{_datadir}/mime &> /dev/null
update-desktop-database &> /dev/null  || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS BUGS README TODO
%{_bindir}/iccexamin
%{_datadir}/mime/packages/icc.xml
%{_datadir}/pixmaps/icc_examin.png
%{_datadir}/applications/icc_examin.desktop


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.46-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 22 2009 kwizart < kwizart at gmail.com > - 0.46-2
- Rebuild for ftgl (#501323)

* Fri Feb 13 2009 kwizart < kwizart at gmail.com > - 0.46-1
- initial spec for Fedora.

